
From: Andrew Morton <akpm@osdl.org>

Remove these ifdefs - there's no need to have more than one definition of
these multipliers anywhere.

Cc: Nishanth Aravamudan <nacc@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/time.h |    9 ---------
 1 files changed, 9 deletions(-)

diff -puN include/linux/time.h~timeh-remove-ifdefs include/linux/time.h
--- 25/include/linux/time.h~timeh-remove-ifdefs	Wed Aug 17 16:36:55 2005
+++ 25-akpm/include/linux/time.h	Wed Aug 17 16:37:06 2005
@@ -29,18 +29,9 @@ struct timezone {
 
 /* Parameters used to convert the timespec values */
 #define MSEC_PER_SEC (1000L)
-
-#ifndef USEC_PER_SEC
 #define USEC_PER_SEC (1000000L)
-#endif
-
-#ifndef NSEC_PER_SEC
 #define NSEC_PER_SEC (1000000000L)
-#endif
-
-#ifndef NSEC_PER_USEC
 #define NSEC_PER_USEC (1000L)
-#endif
 
 static __inline__ int timespec_equal(struct timespec *a, struct timespec *b) 
 { 
_
